<script setup>
import { ref } from 'vue'
import { ShoppingBagIcon } from '@heroicons/vue/24/outline'
import Catalog from './Catalog/Catalog.vue'
import Cart from './Cart/Cart.vue'

import { useProductsStore } from '../stores/products.js'

const productStore = useProductsStore()

const open = ref(false)

const closeCart = () => {
  open.value = false
}
</script>

<template>
  <div class="mx-auto max-w-2xl py-16 px-4 sm:pt-8 sm:pb-28 sm:px-6 lg:max-w-7xl lg:px-8">

    <!-- Navigation Section -->
    <header class="relative bg-white">
      <nav aria-label="Top" class="mx-auto max-w-7xl px-4 sm:px-6 lg:px-8">
        <div class="border-b border-gray-200">
          <div class="flex h-16 items-center">

            <div class="hidden lg:flex lg:flex-1 lg:items-center lg:start lg:space-x-40">
              <div class="ml-4 flex lg:ml-0">
                <h2 class="text-center text-2xl font-medium tracking-tight text-gray-900">S-SHOP</h2>
              </div>
              <div class="ml-4 flex lg:flex">
                <a href="#">
                  <a href="#" class="text-sm font-medium text-gray-700 hover:text-gray-800">Catalog</a>
                </a>
              </div>
            </div>

            <!-- Profile Section -->
            <div class="ml-auto flex items-center">
              <div class="hidden lg:flex lg:flex-1 lg:items-center lg:justify-end lg:space-x-6">
                <a href="#" class="text-sm font-medium text-gray-700 hover:text-gray-800">Sign in</a>
                <span class="h-6 w-px bg-gray-200" aria-hidden="true" />
                <a href="#" class="text-sm font-medium text-gray-700 hover:text-gray-800">Profile</a>
              </div>

              <!-- Cart Info -->
              <div class="ml-4 flow-root lg:ml-6">
                <a href="#" class="group -m-2 flex items-center p-2">
                  <ShoppingBagIcon
                    class="h-6 w-6 flex-shrink-0 text-gray-400 group-hover:text-gray-500"
                    aria-hidden="true"
                    @click="open = !open"
                  />
                  <span class="ml-2 text-sm font-medium text-gray-700 group-hover:text-gray-800">{{ productStore.cart.length }}</span>
                </a>
              </div>
            </div>
          </div>
        </div>
      </nav>
    </header>

    <!-- Catalog Section -->
    <Catalog />
  </div>

  <!-- Cart Modal -->
  <Cart
    :open="open"
    @close-click="closeCart"
  />

  <!-- Footer Section -->
  <div class="fixed inset-x-0 bottom-0 bg-black">
    <div class="mx-auto max-w-7xl py-3 px-3 sm:px-6 lg:px-8">
      <div class="flex h-10 items-center">
        <div class="ml-4 flex lg:ml-0">
          <h2 class="text-center text-2xl font-medium tracking-tight text-white">S-SHOP</h2>
        </div>
        <div class="ml-auto flex items-center">
          <div class="hidden lg:flex lg:flex-1 lg:items-center lg:justify-end lg:space-x-6">
            <a href="#" class="text-sm font-medium text-white">Copyright</a>
            <a href="#" class="text-sm font-medium text-white">Contacts</a>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
